#!/bin/env python

# Prints the maps with the most amount of layers
# Author: Patiga, made for Jupstar
# License: CC0, do whatever you want with it

import twmap
import sys

args = sys.argv

max_layers = dict()

for arg in args[1:]:
    try:
        map = twmap.Map(arg)
        new_max_layers = 0
        for group in map.groups:
            new_max_layers += len(group.layers)
        max_layers[arg] = new_max_layers
        print(f"{arg}: {new_max_layers} layers")

    except twmap.MapError:
        print(f"Couldn't load map {arg}")

ordered = sorted(max_layers.items(), key=lambda item: item[1], reverse=True)

print("Top five maps sorted by layer count:")
for i in range(5):
    print(f"{ordered[i][0]}: {ordered[i][1]}")
